Bug 239379 - The pirut "Apply" button should be inactive if there are no changes to apply
The pirut "Apply" button should be inactive if there are no changes to apply
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2007-05-07 20:02 EDT by Uno Engborg
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-05 12:02:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Uno Engborg 2007-05-07 20:02:52 EDT
Description of problem:

If you haven't selected any packages to add or remove, the "Apply" button should
be inactive.

I have seen lot of users that, after installing software press "Apply" one extra
time, in the belief that there was more to do. The result is that they get a new
dialog box telling them that there is no changes to apply and an extra "OK"
button to click on.

This is poor usability, if the button hadn't been active there would have been
no need for the dialog, and the user would have saved two mouse clicks and the
trouble of reading the pop up dialog text.
Comment 1 Jeremy Katz 2007-06-05 12:02:54 EDT
Done for pirut-1.3.8

Note You need to log in before you can comment on or make changes to this bug.